--
-- SaveGame-Name
--
-- MD Author	KillaBot
-- MD Date		26.06.2012
--
-- > Copyright  KillaBot - http://hot-base.com < --

print("Mod: SaveGame-Name loaded");

SaveGameName = {};

local dir = getUserProfileAppPath();
local SaveXML = dir .. "savegame";
local names = {};
for i=1,6 do
	local SaveXML2 = SaveXML..i.."/gamename.xml";
	local existDir = io.open (SaveXML2, "r");
	if existDir ~= nil then
		local xmlid = loadXMLFile("TempConfig", SaveXML2);
		local savegamenames = getXMLString(xmlid, "gamename.name#value");
		if savegamenames ~= nil then
			names[i] = savegamenames;
		end;
	end;
end
	
function SaveGameName:loadMap(name)
end;

function SaveGameName:deleteMap()
end;

function SaveGameName:delete()

end;

function SaveGameName:mouseEvent(posX, posY, isDown, isUp, button)
end;

function SaveGameName:keyEvent(unicode, sym, modifier, isDown)
end;

function SaveGameName:update(dt)
end;

function SaveGameName:draw()
end;


addModEventListener(SaveGameName);


-- Save-Game-Wrapper
local oldSaveFunction = CareerScreen.saveSelectedGame;
CareerScreen.saveSelectedGame = function(self)
	oldSaveFunction(self);
	if names[g_currentMission.missionInfo.savegameIndex] == nil then
		names[g_currentMission.missionInfo.savegameIndex] =	g_currentMission.missionInfo.map.title
		if names[g_currentMission.missionInfo.savegameIndex] == nil then
			return
		end;
	end;
	
	if g_currentMission.missionInfo.saveDate == "--.--.--" then
		return
	end
	
	local meinedatei = loadXMLFile("xmldatei", dir .. "savegame" .. g_currentMission.missionInfo.savegameIndex .. "/careerSavegame.xml");
	local stringxxx = "careerSavegame#saveDate";
	setXMLString(meinedatei, stringxxx, g_currentMission.missionInfo.saveDate .. "   Map: " .. names[g_currentMission.missionInfo.savegameIndex]);
	saveXMLFile(meinedatei);
	self.savegames[self.selectedIndex].saveDate = g_currentMission.missionInfo.saveDate .. "   Map: " .. names[g_currentMission.missionInfo.savegameIndex];
	g_currentMission.missionInfo.saveDate = g_currentMission.missionInfo.saveDate .. "   Map: " .. names[g_currentMission.missionInfo.savegameIndex];
end;

